"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const IconButton_1 = __importDefault(require("@material-ui/core/IconButton"));
const Print_1 = __importDefault(require("@material-ui/icons/Print"));
const React = __importStar(require("react"));
const react_redux_1 = require("react-redux");
/**
 * maps state fields from the store to component props
 * @param state the redux state
 */
exports.mapStateToProps = (state) => {
    return {
        title: state.sensenetDocumentViewer.localization.print,
        document: state.sensenetDocumentViewer.documentState.document,
    };
};
/**
 * maps state actions from the store to component props
 * @param state the redux state
 */
exports.mapDispatchToProps = {};
/**
 * Component that allows active page rotation
 */
class PrintComponent extends React.Component {
    /**
     * renders the component
     */
    render() {
        return (React.createElement("div", { style: { display: 'inline-block' } },
            React.createElement(IconButton_1.default, { color: "inherit", title: this.props.title },
                React.createElement(Print_1.default, { onClick: () => this.props.print(this.props.document) }))));
    }
}
exports.PrintComponent = PrintComponent;
const connectedComponent = react_redux_1.connect(exports.mapStateToProps, exports.mapDispatchToProps)(PrintComponent);
exports.Print = connectedComponent;
//# sourceMappingURL=PrintWidget.js.map