"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const IconButton_1 = __importDefault(require("@material-ui/core/IconButton"));
const PictureInPicture_1 = __importDefault(require("@material-ui/icons/PictureInPicture"));
const React = __importStar(require("react"));
const react_redux_1 = require("react-redux");
const store_1 = require("../../store");
/**
 * maps state fields from the store to component props
 * @param state the redux state
 */
exports.mapStateToProps = (state) => {
    return {
        canHideRedaction: state.sensenetDocumentViewer.documentState.canHideRedaction,
        showShapes: state.sensenetDocumentViewer.viewer.showShapes,
        showRedaction: state.sensenetDocumentViewer.viewer.showRedaction,
        toggleRedaction: state.sensenetDocumentViewer.localization.toggleRedaction,
    };
};
/**
 * maps state actions from the store to component props
 * @param state the redux state
 */
exports.mapDispatchToProps = {
    setRedaction: store_1.setRedaction,
};
/**
 * Document widget component to toggleing redaction
 */
class ToggleRedactionComponent extends React.Component {
    toggleRedaction() {
        this.props.setRedaction(!this.props.showRedaction);
    }
    /**
     * renders the component
     */
    render() {
        return (React.createElement("div", { style: { display: 'inline-block' } },
            React.createElement(IconButton_1.default, { title: this.props.toggleRedaction, style: { opacity: this.props.showRedaction ? 1 : 0.5 } },
                React.createElement(PictureInPicture_1.default, { onClick: () => this.toggleRedaction() }))));
    }
}
exports.ToggleRedactionComponent = ToggleRedactionComponent;
const connectedComponent = react_redux_1.connect(exports.mapStateToProps, exports.mapDispatchToProps)(ToggleRedactionComponent);
exports.ToggleRedactionWidget = connectedComponent;
//# sourceMappingURL=ToggleRedaction.js.map