import * as React from 'react';
import { componentType } from '../../services';
import { RootReducerType } from '../../store';
/**
 * maps state fields from the store to component props
 * @param state the redux state
 */
export declare const mapStateToProps: (state: RootReducerType) => {
    toggleThumbnailsTitle: string;
    showThumbnails: boolean;
};
/**
 * maps state actions from the store to component props
 * @param state the redux state
 */
export declare const mapDispatchToProps: {
    setThumbnails: (showThumbnails: boolean) => {
        type: string;
        showThumbnails: boolean;
    };
};
/**
 * Document widget component that toggles the displaying of the watermark
 */
export declare class ToggleThumbnailsComponent extends React.Component<componentType<typeof mapStateToProps, typeof mapDispatchToProps>> {
    private toggleThumbnails;
    /**
     * renders the component
     */
    render(): JSX.Element;
}
declare const connectedComponent: import("react-redux").ConnectedComponentClass<typeof ToggleThumbnailsComponent, Pick<componentType<(state: RootReducerType) => {
    toggleThumbnailsTitle: string;
    showThumbnails: boolean;
}, {
    setThumbnails: (showThumbnails: boolean) => {
        type: string;
        showThumbnails: boolean;
    };
}, undefined, {
    toggleThumbnailsTitle: string;
    showThumbnails: boolean;
}, RootReducerType>, never>>;
export { connectedComponent as ToggleThumbnailsWidget };
