"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const IconButton_1 = __importDefault(require("@material-ui/core/IconButton"));
const ZoomIn_1 = __importDefault(require("@material-ui/icons/ZoomIn"));
const ZoomOut_1 = __importDefault(require("@material-ui/icons/ZoomOut"));
const React = __importStar(require("react"));
const react_redux_1 = require("react-redux");
const store_1 = require("../../store");
/**
 * maps state fields from the store to component props
 * @param state the redux state
 */
exports.mapStateToProps = (state) => {
    return {
        fitRelativeZoomLevel: state.sensenetDocumentViewer.viewer.fitRelativeZoomLevel,
    };
};
/**
 * maps state actions from the store to component props
 */
exports.mapDispatchToProps = {
    setFitRelativeZoomLevel: store_1.setFitRelativeZoomLevel,
};
/**
 * Document widget component for modifying the zoom mode / level
 */
class ZoomInOutWidgetComponent extends React.Component {
    zoomIn() {
        this.props.setFitRelativeZoomLevel(this.props.fitRelativeZoomLevel + 1);
    }
    zoomOut() {
        this.props.setFitRelativeZoomLevel(this.props.fitRelativeZoomLevel - 1);
    }
    /**
     * renders the component
     */
    render() {
        return (React.createElement("div", { style: { display: 'inline-block' } },
            React.createElement(IconButton_1.default, { color: "inherit", onClick: () => this.zoomIn() },
                React.createElement(ZoomIn_1.default, null)),
            React.createElement(IconButton_1.default, { color: "inherit", onClick: () => this.zoomOut() },
                React.createElement(ZoomOut_1.default, null))));
    }
}
exports.ZoomInOutWidgetComponent = ZoomInOutWidgetComponent;
const connectedComponent = react_redux_1.connect(exports.mapStateToProps, exports.mapDispatchToProps)(ZoomInOutWidgetComponent);
exports.ZoomInOutWidget = connectedComponent;
//# sourceMappingURL=ZoomInOut.js.map